package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.extendEntity.CallEntity;
import com.ssm.manage.query.CashListRequest;

import java.util.List;

public interface SsmCallNumberService extends BaseService<CallEntity> {
    List<CallEntity> selectList(CallEntity callEntity);
    int addNumber(CallEntity callEntity);

    void callNumber(CallEntity callEntity);

    int  addCashList(List<CashListRequest> listRequests, Long storeId, String storeName) throws SmsException;

    void deleteCallNum(Long storeId);
}
